#include <VirtualWire.h>
#include "CastDonnees.h"

const int receive_pin = 11;

void setup()
{
    delay(1000);
    Serial.begin(9600);
 
    vw_set_rx_pin(receive_pin);
 
    vw_setup(2000);	 // Bits per sec

    vw_rx_start();       // Start the receiver PLL running

    
}

void loop()
{
    uint8_t buf[VW_MAX_MESSAGE_LEN];
    uint8_t buflen = VW_MAX_MESSAGE_LEN;

    if (vw_get_message(buf, &buflen)) // Non-blocking
    {   
        Donnees b;
        b.fromByteArray ((char*)buf);
        delete buf;

       float total = b.celsiusExt + b.phValue + b.lum + b.humidity + b.temperature + b.turbidity;
            
       if (b.sum == total) {
	// Message with a good checksum received

	    Serial.print (b.celsiusExt);
            Serial.print (",");
	    Serial.print (b.phValue);
            Serial.print (",");
            Serial.print (b.lum);
            Serial.print (",");
            Serial.print (b.humidity);
            Serial.print (",");
            Serial.print (b.temperature);
            Serial.print (",");
            Serial.print (b.turbidity);
       }    
          	
	Serial.println();
         
    }
   
}
